### Method

# Ggit IndexEntriesResolveUndo get

#### Declaration [src]

    GgitIndexEntryResolveUndo*
    ggit_index_entries_resolve_undo_get (
      GgitIndexEntriesResolveUndo* entries,
      guint idx
    )

#### Description [src]

Get a `GgitIndexEntryResolveUndo` by index. Note that the returned `GgitIndexEntryResolveUndo` is only valid as long as:

1) The associated index has been closed 2) The entry has not been removed (see ggit_index_remove()) 3) The index has not been refreshed (see ggit_index_read()).

#### Parameters

`idx`

  Type: `guint`

  The index of the entry.

#### Return value

Type: `GgitIndexEntryResolveUndo`

A `GgitIndexEntryResolveUndo` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.